Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.multislider
Interface MultiThumbModel<E>

All Superinterfaces:
  java.lang.Iterable<Thumb<E>>

All Known Implementing Classes:
  AbstractMultiThumbModel, DefaultMultiThumbModel

    public interface MultiThumbModel<E>

extends java.lang.Iterable<Thumb<E>>

Author:
  joshy

Method Summary
`int` | `addThumb(float value, E obj)`
`void` | `addThumbDataListener(ThumbDataListener listener)`
`float` | `getMaximumValue()`
`float` | `getMinimumValue()`
`java.util.List<Thumb<E>>` | `getSortedThumbs()`
`Thumb<E>` | `getThumbAt(int index)`
`int` | `getThumbCount()`
`int` | `getThumbIndex(Thumb<E> thumb)`
`void` | `insertThumb(float value, E obj, int index)`
`void` | `removeThumb(int index)`
`void` | `removeThumbDataListener(ThumbDataListener listener)`
`void` | `setMaximumValue(float maximumValue)`
`void` | `setMinimumValue(float minimumValue)`
`void` | `thumbPositionChanged(Thumb<E> thumb)`
`void` | `thumbValueChanged(Thumb<E> thumb)`

Methods inherited from interface java.lang.Iterable
`iterator`

Method Detail

### getMinimumValue

    float getMinimumValue()

### setMinimumValue

    void setMinimumValue(float minimumValue)

### getMaximumValue

    float getMaximumValue()

### setMaximumValue

    void setMaximumValue(float maximumValue)

### addThumb

    int addThumb(float value,
                 E obj)

### insertThumb

    void insertThumb(float value,
                     E obj,
                     int index)

### removeThumb

    void removeThumb(int index)

### getThumbCount

    int getThumbCount()

### getThumbAt

    Thumb<E> getThumbAt(int index)

### getThumbIndex

    int getThumbIndex(Thumb<E> thumb)

### getSortedThumbs

    java.util.List<Thumb<E>> getSortedThumbs()

### thumbPositionChanged

    void thumbPositionChanged(Thumb<E> thumb)

### thumbValueChanged

    void thumbValueChanged(Thumb<E> thumb)

### addThumbDataListener

    void addThumbDataListener(ThumbDataListener listener)

### removeThumbDataListener

    void removeThumbDataListener(ThumbDataListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.